<?php

// www.billiger.de export filter

$data_array[] = array(
	'aid',
	'brand',
	'mpnr',
	'ean',
	'name',
	'desc',
	'shop_cat',
	'price',
	'link',
	'image',
	'dlv_time',
	'dlv_cost'
);

foreach ($items as $article_obj) {
	$data_array[] = array(
		csv_string($article_obj->refnr), // Artikelnummer im Shop
		csv_string($article_obj->hersteller), // Herstellername
		csv_string($article_obj->hersteller_number), // Original Herstellerartikelnummer
		csv_string($article_obj->barcode), // EAN / Barcodenummer
		csv_string($article_obj->bez), // Produktname
		csv_string($article_obj->besde), // Produktbeschreibung
		csv_string($article_obj->article_group), // Produktgruppe im Shop (m�glichst als Pfad ausgehend von der Wurzelkategorie)
		csv_string(number_format($article_obj->preis, 2, ",", ".")), // PreisEuro
		csv_string(MAIN_URL.'?index.php?wg=2&shopAction=showArticle&article_id='.$article_obj->id), // ProduktURL
		MAIN_URL.'/web/images/article/big_'.$article_obj->bild1, // BildURL (gro�es Bild)
		csv_string($article_obj->delivery_time), // Lieferzeit
		'8,80' // Versandkosten
	);
}

function csv_string ($string) {
	$string = trim($string);
	$string = strip_tags($string);
	$string = str_replace(';',',',$string);
	$string = str_replace("\r\n",' ',$string);
	$string = str_replace("\n",' ',$string);
	return $string;
}

?>